Bug 197507 - sensors broken on P4PE after kernel-2.6.16-1.2108_FC4
sensors broken on P4PE after kernel-2.6.16-1.2108_FC4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 08:22 EDT by Nicolas Thierry-Mieg
Modified: 2008-01-19 23:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Thierry-Mieg 2006-07-03 08:22:22 EDT
Description of problem:
I have an Asus P4PE mobo.
The hardware sensors work fine up to kernel-2.6.16-1.2108_FC4.
Starting with kernel-2.6.16-1.2111_FC4, and all the way up to the latest
kernel-2.6.17-1.2139_FC4, the sensors don't work anymore.
What I mean is, starting with kernel 2111:
1A. When booting, I get:
Starting lm_sensors:                                       [FAILED]
2A. When running sensors-detect, I get:
<snip until first question>
 We can start with probing for (PCI) I2C or SMBus adapters.
 You do not need any special privileges for this.
 Do you want to probe now? (YES/no):
Probing for PCI bus adapters...
Sorry, no PCI bus adapters found.

By comparison, using kernel 2108:
1B. "/etc/init.d/lm_sensors start" (or the same during bootup, since the
lm_sensors service is on) gives:
Starting lm_sensors:                                       [  OK  ]
2B. And running sensors-detect gives:
<snip until first question>
 We can start with probing for (PCI) I2C or SMBus adapters.
 You do not need any special privileges for this.
 Do you want to probe now? (YES/no):
Probing for PCI bus adapters...
Use driver `i2c-i801' for device 00:1f.3: Intel 82801DB ICH4
Probe succesfully concluded.


Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2108_FC4 works.
starting with kernel-2.6.16-1.2111_FC4, it's broken.


How reproducible:
100%


Steps to Reproduce:
1. install kernel-2.6.16-1.2111_FC4 or later
2. boot using this kernel
3. run sensors-detect


Actual results:
Probing for PCI bus adapters...
Sorry, no PCI bus adapters found.


Expected results:
Probing for PCI bus adapters...
Use driver `i2c-i801' for device 00:1f.3: Intel 82801DB ICH4
Probe succesfully concluded.


Additional info:
Comment 1 Nicolas Thierry-Mieg 2006-07-04 12:18:56 EDT
Additional info, which I probably should have included: here is the output of
lspci with the 2 kernels.
Note that the 00:1f.3 SMBus line is absent in the broken kernel.

If some other info would be useful, please tell me.


with kernel-2.6.16-1.2108_FC4:
$ lspci
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM
Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE Host-to-AGP
Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 Pro Ultra TF
02:05.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)


with kernel-2.6.16-1.2111_FC4:
$ lspci
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM
Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE Host-to-AGP
Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 Pro Ultra TF
02:05.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)

Comment 2 Dave Jones 2006-09-16 21:47:10 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 13:45:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 claudepi 2007-01-05 00:02:52 EST
Hello,

I am still having this problem with my ASUS p4pe mobo.  

Everything worked fine up through kernel:

2.6.15-1.2054_FC5

Any kernel after that (up to 2.6.18-1.2257.fc5) has given me the following
errors on boot up (after "Uncompressing Linux..OK booting kernel"):

ACPI: Invalid PBLK length [5]
ACPI: Getting cpuindex for acpiid 0x1
Red Hat Nash.....


Then lm_sensors fails.  I believe this to be a fairly serious problem.  When I
login after all of these errors, my cpu temperture goes through the roof.  I
have seen get to as high as 70 C before I shut down, whereas it normally
operates around 55 C.


100% reproducible.....just login to any kernel after 2.6.15-1.2054_FC5.  None of
the above errors happen with that kernel.

Thanks for any help!

Comment 5 Jon Stanley 2008-01-19 23:38:03 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.